Bug 260428 - net-im/openfire: Update to 4.6.5
Summary: net-im/openfire: Update to 4.6.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dries Michiels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-15 05:23 UTC by Nikita Druba
Modified: 2021-12-20 08:47 UTC (History)
3 users (show)

See Also:


Attachments
git diff for net-im/openfire (3.49 KB, patch)
2021-12-15 05:23 UTC, Nikita Druba
nikita: maintainer-approval+
Details | Diff
mydiff (3.75 KB, patch)
2021-12-16 13:13 UTC, Dries Michiels
no flags Details | Diff
git diff for net-im/openfire (corrected) (5.19 KB, patch)
2021-12-17 08:22 UTC, Nikita Druba
nikita: maintainer-approval+
Details | Diff
git diff for net-im/openfire (corrected 2) (5.74 KB, patch)
2021-12-19 03:44 UTC, Nikita Druba
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Druba 2021-12-15 05:23:13 UTC
Created attachment 230129 [details]
git diff for net-im/openfire

net-im/openfire: update to 4.6.5

Changelog:
http://download.igniterealtime.org/openfire/docs/4.6.5/changelog.html


P.S. For this port needed to upload to some server archive with local maven repository:
https://cloud.druba.su/s/DFE22mxkEnaQpSc/download/FreeBSD-openfire-4.6.5-maven-repository.tar.gz
Comment 1 Dries Michiels freebsd_committer 2021-12-16 13:09:44 UTC
Are you OK with me petting portclippy & portfmt?
You can check what the difference will be if you have them installed.

portclippy Makefile
portfmt -D Makefile

Thanks
Dries.

When using github WRKSRC should not be set. 

Fixed by:
Switching to DISTVERSION, DISTVERSIONPREFIX=v, removed WRKSRC, removed GH_TAGNAME.
Comment 2 Dries Michiels freebsd_committer 2021-12-16 13:10:43 UTC
Ah and GH_PROJECT=Openfire
Comment 3 Dries Michiels freebsd_committer 2021-12-16 13:13:54 UTC
Created attachment 230172 [details]
mydiff

My take on the change. Not yet petted portfmt, portclippy.
Comment 4 Nikita Druba 2021-12-17 06:32:49 UTC
If I remove $WRKSRC, then will be failed the next variables:
 LICENSE_FILE=   ${WRKSRC}/LICENSE.txt
 INSTALL_WRKSRC= ${WRKSRC}/distribution/target/distribution-base/
Its really necessary? Why?
Comment 5 Dries Michiels freebsd_committer 2021-12-17 07:37:12 UTC
If you set DEVELOPER=yes in /etc/make.conf you will see more verbose output.

You need to capitalize Openfire in GH_PROJECT. (because the project is also capitalized upstream). In this case PORTNAME != GH_PROJECT.

When you want to switch to USE_GITHUB=yes, WRKSRC should not be overwritten manually because it is composed out of the different GH_* variables. 

Try your old patch, with DEVELOPER=yes, and "make", you will see the output of the ports framework.
Comment 6 Nikita Druba 2021-12-17 08:22:07 UTC
Created attachment 230195 [details]
git diff for net-im/openfire (corrected)
Comment 7 Nikita Druba 2021-12-17 08:27:28 UTC
(In reply to Dries Michiels from comment #5)
Ok. Makefile was checked by portclippy, portfmt and diff was updated.
Comment 8 Dries Michiels freebsd_committer 2021-12-17 20:46:01 UTC
Thanks looks good. Is there a good reason for changing the port options?
Comment 9 Dries Michiels freebsd_committer 2021-12-17 20:47:03 UTC
The names of the port options, to be more specific.
Comment 10 Nikita Druba 2021-12-18 01:20:11 UTC
(In reply to Dries Michiels from comment #8)
Yes. With this names they are sorted more readable.
Comment 11 Dries Michiels freebsd_committer 2021-12-18 13:09:50 UTC
Fine by me, changing port option names will require user interaction to purge old configs. If you would like to get the option name changes in, could you add an entry to UPDATING outlining that users should probably run make config again.

Something like, "the config options have been renamed to be more readable, run make config to regenerate your config."

Thank you
Comment 12 Nikita Druba 2021-12-19 03:44:46 UTC
Created attachment 230239 [details]
git diff for net-im/openfire (corrected 2)

(In reply to Dries Michiels from comment #11)
I don't see no one message about changing port options in UPDATING for the last 4 years at least, but if you insist...
Comment 13 Dries Michiels freebsd_committer 2021-12-19 09:12:04 UTC
Thank you, patch looks good, I will get this committed.
Comment 14 commit-hook freebsd_committer 2021-12-20 08:46:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7c3d90bc940c5f5a6f96dfc2248911cda68dda3e

commit 7c3d90bc940c5f5a6f96dfc2248911cda68dda3e
Author:     Nikita Druba <nikita@druba.su>
AuthorDate: 2021-12-19 09:03:23 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-20 08:46:09 +0000

    net-im/openfire: Update to 4.6.5

    - Change option names to be more readable
    - Pet portclippy and portfmt

    Changes:                http://download.igniterealtime.org/openfire/docs/4.6.5/changelog.html
    PR:                     260428
    Approved by:            philip (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33556

 UPDATING                          | 10 +++++++++
 net-im/openfire/Makefile          | 47 +++++++++++++++++++++------------------
 net-im/openfire/distinfo          | 10 ++++-----
 net-im/openfire/files/openfire.in |  3 ++-
 net-im/openfire/pkg-plist         | 10 ++++-----
 5 files changed, 47 insertions(+), 33 deletions(-)
Comment 15 Dries Michiels freebsd_committer 2021-12-20 08:47:52 UTC
Committed, thanks!